﻿@using LAP.Areas.Adviser.Models
@model CFSModel
@{
    var family_size_tooltip = "How many people live in your <br/> household, including the student?";
    var number_of_family_in_college_tooltip = "How many children will be in college <br/> - including this student - at least half <br/> time, when student begins college?<br/> Minimum value is 1";
    var parents_w2_tooltip = "This would be found on 2020 IRS <br/> form: 1040line 1 + Schedule 1 --- <br/> Lines 3 + 6 + Schedule K-1 Box 14 <br/> (Code A). If any individual earning <br/> iteams are negative, treat them as <br/> zero";
    var parents_federal_taxes_paid_tooltip = "This amount is the total of 2020 IRS <br/> Form 1040, line 22 minus Schedule 2 <br/> line 2";
    var parents_total_untaxed_income_tooltip = "The sum of: payments to tax- <br/> deferred pensions & savings plans;<br/> qualified retirement plan deductions;<br/> child support received; tax-exempt <br/> interest; Foreign Income Exclusion; <br/> untaxed IRA distributions & pension <br/>(excluding rollovers); Federal Tax on <br/>Special Fuels Credit; housing, food, &<br/> other living allowances & other <br/>untaxed income & benefits.";
    var parents_agi_tooltip = "This would be found on 2020 IRS<br/> form: 1040 line 11";
    var parents_liquid_assets_tooltip = "The sum of: savings, checking, <br/>money market, CDs, stocks, mutual <br/>funds, Coverdell Education Savings<br/> Account, 529 College Savings & Pre-<br/>paid Tuition Plans and trust funds (in<br/> name of parent[s] only). Excludes<br/> real estate.";
    var student_w2_tooltip = "If student is in college now, do NOT<br/> enter Work-Study income here.";
    var student_untaxed_income_tooltip = "Same as for Parents";
    var student_cash_tooltip = "The sum of: cash, savings, checking,<br/> real estate, investments, net worth of<br/> student's portion of any<br/> business/investment farm, and trusts<br/> (include UTMA/UGMA).";
    var student_sibling_assets_tooltip = "Report the total value of parental<br/> assets held by the student's parents<br/> in the names of the student's siblings<br/> who are under age 19 and not in<br/> college. This includes funds in<br/> custodial accounts, Uniform Gifts to<br/> Minors accounts, or any other<br/> savings and investment accounts. Do <br/>not include funds in Section 529<br/> college savings or pre-paid tuition <br/>plans. You should only include <br/>parental assets held in siblings'<br/> names, not assets actually owned by<br/> the siblings.";
}
<input type="hidden" asp-for="StudentGuid" />
<input type="hidden" asp-for="CFSStudentId" />
<hr />
<div class="d-flex justify-content-between">
    <h4 class="text-primary">Student Information</h4>
    @if (!string.IsNullOrEmpty(Model.CFSStudentId))
    {
        <div class="float-right">
            <a href="report/cfs/@Model.CFSStudentId" class="btn btn-sm btn-maroon mb-5 font-weight-bold" target="_blank"><i class="far fa-eye"></i>View Report</a>
        </div>
    }
</div>
<div class=row>
    <div class="col-md-4">
        <div class="form-group disabled-div">
            <label asp-for="student"></label>
            <input asp-for="student" class="form-control disabled">
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group @(!string.IsNullOrEmpty(Model.student_state) ? "disabled-div" : "")">
            <label asp-for="student_state"></label>
            <select asp-for="student_state" class="form-control @(!string.IsNullOrEmpty(Model.student_state) ? "disabled" :"")" title="-Select-">
            </select>
            <span asp-validation-for="student_state" class="text-danger"></span>
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group disabled-div">
            <label asp-for="student_years_until_college"></label>
            <input asp-for="student_years_until_college" class="form-control year-mask disabled" type="text">
            <span asp-validation-for="student_years_until_college" class="text-danger"></span>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <label asp-for="grade"></label>
            <input asp-for="grade" class="form-control numericOnly" type="text">
        </div>
    </div>
    <div class="col-md-4">
        <label asp-for="gpa"></label>
        <input asp-for="gpa" class="form-control gpa-mask" type="text">
    </div>
    <div class="col-md-4">
        <label asp-for="sat"></label>
        <input asp-for="sat" class="form-control numericOnly" type="text">
        <div class="mt-2">
            <a href="http://convertyourscore.org/" target="_blank" class="mt-2">ACT to SAT conversion chart</a>
        </div>
    </div>
</div>
<hr />
<h4 class="text-primary">Family Information</h4>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="family_size"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@family_size_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="family_size" class="form-control numericOnly" type="text" maxlength="3">
            <span asp-validation-for="family_size" class="text-danger"></span>
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="number_of_family_in_college"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@number_of_family_in_college_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="number_of_family_in_college" class="form-control numericOnly" type="text" maxlength="3">
            <span asp-validation-for="number_of_family_in_college" class="text-danger"></span>
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label asp-for="age_of_oldest_parent"></label>
            <input asp-for="age_of_oldest_parent" class="form-control year-mask" type="text">
            <span asp-validation-for="age_of_oldest_parent" class="text-danger"></span>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <label asp-for="tax_return_filed"></label>
            <select asp-for="tax_return_filed" class="form-control" title="-Select-">
                <option value="Married">Married</option>
                <option value="Individual">Individual</option>
            </select>
            <span asp-validation-for="tax_return_filed" class="text-danger"></span>
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label asp-for="parents_marital_status"></label>
            <select asp-for="parents_marital_status" class="form-control" title="-Select-">
                <option value="Married">Married</option>
                <option value="Single">Single</option>
                <option value="Separated">Separated</option>
                <option value="Divorced">Divorced</option>
            </select>
        </div>
    </div>
</div>
<hr />
<h4 class="text-primary">Parent's Income</h4>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="parents_w2"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@parents_w2_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="parents_w2" class="form-control currency" type="text">
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="spouse_w2"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@parents_w2_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="spouse_w2" class="form-control currency" type="text">
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="parents_federal_taxes_paid"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@parents_federal_taxes_paid_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="parents_federal_taxes_paid" class="form-control currency" type="text">
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="parents_total_untaxed_income"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@parents_total_untaxed_income_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="parents_total_untaxed_income" class="form-control currency" type="text">
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="parents_agi"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@parents_agi_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="parents_agi" class="form-control currency" type="text">
            <span asp-validation-for="parents_agi" class="text-danger"></span>
        </div>
    </div>
</div>
<hr />
<h4 class="text-primary">Parent's Assets</h4>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="parents_liquid_assets"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@parents_liquid_assets_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="parents_liquid_assets" class="form-control currency" type="text">
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label asp-for="parents_residence_equity"></label>
            <input asp-for="parents_residence_equity" class="form-control currency" type="text">
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label asp-for="parents_other_real_estate_equity"></label>
            <input asp-for="parents_other_real_estate_equity" class="form-control currency" type="text">
        </div>
    </div>
</div>
<hr />
<h4 class="text-primary">Student's Income & Assets</h4>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="student_w2"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@student_w2_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="student_w2" class="form-control currency" type="text">
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label asp-for="student_agi"></label>
            <input asp-for="student_agi" class="form-control currency" type="text">
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="student_untaxed_income"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@student_untaxed_income_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="student_untaxed_income" class="form-control currency" type="text">
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <label asp-for="student_federal_tax"></label>
            <input asp-for="student_federal_tax" class="form-control currency" type="text">
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="student_cash"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@student_cash_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="student_cash" class="form-control currency" type="text">
        </div>
    </div>
</div>
<hr />
<h4 class="text-primary">Other Information</h4>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <div class="d-flex">
                <label asp-for="student_sibling_assets"></label>
                <span>
                    <i class="fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" data-html="true" title="@student_sibling_assets_tooltip" style="font-size:1rem"></i>
                </span>
            </div>
            <input asp-for="student_sibling_assets" class="form-control currency" type="text">
        </div>
    </div>
    <div class="col-md-4">
        <div class="form-group">
            <label asp-for="college_annual_inflation_rate"></label>
            <select asp-for="college_annual_inflation_rate" class="form-control" title="-Select-">
            </select>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-4">
        <div class="form-group">
            <label asp-for="college_state"></label>
            <select asp-for="college_state" class="form-control" title="-Select-">
            </select>
            <span asp-validation-for="college_state" class="text-danger"></span>
        </div>
    </div>
    <div class="col-md-8">
        <div class="form-group">
            <label asp-for="college_cbc"></label>
            <select asp-for="college_cbc" class="form-control" title="-Select-">
            </select>
            <span asp-validation-for="college_cbc" class="text-danger"></span>
        </div>
    </div>
</div>
<script>
    var statesWithTitle = $.ajax({ url: "/JSON/states_titlecase.json", async: false, dataType: 'json' }).responseJSON;
    var html = "";
    var html2 = "";
    $.each(statesWithTitle, function(i, item) {
        html += `<option value="${item.abbreviation}">${item.name}</option>`
        var excludeStates = ["AS", "FM", "GU", "MH", "MP", "PW", "VI"];
        if (!excludeStates.includes(item.abbreviation))
            html2 += `<option value="${item.abbreviation}">${item.name}</option>`
    });
    $("#student_state").html(html).selectpicker("refresh");
    $("#college_state").html(html2).selectpicker("refresh");
    var drphtmlinflation = "";
    var inflationArray = [0.01, 0.02, 0.03, 0.04, 0.05, 0.06, 0.07, 0.08, 0.09];
    $.each(inflationArray, function(i, key) {
        drphtmlinflation += `<option>${key}</option>`
    });
    $("#college_annual_inflation_rate").html(drphtmlinflation).selectpicker("refresh");
    $("#college_annual_inflation_rate").val('@Model.college_annual_inflation_rate').selectpicker("refresh");

    var bindColleges = function(state) {
        if (state) {
            var drphtml = "";
            $.get(`https://collegiatefundingsolutions.com/cfsexpert/api/colleges/${state}`, function(colleges) {
                $.each(colleges, function(i, item) {
                    drphtml += `<option value="${item.cbc}">${item.name}</option>`
                });
                $("#college_cbc").html(drphtml);
                setTimeout(function() {
                    $("#college_cbc").val('@Model.college_cbc').selectpicker("refresh");
                }, 0)
            });
        }
    }
    $("#student_state").val('@Model.student_state').selectpicker("refresh");
    $("#college_state").val('@Model.college_state').selectpicker("refresh");
    bindColleges($("#college_state").val())
    $("#college_state").change(function() {
        bindColleges($(this).val())
    })
</script>